View Issue Details

IDProjectCategoryView StatusLast Update
0037541pas2jsrtlpublic2020-08-11 13:30
Reporterhenrique Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPas2JsOSWindows 
Fixed in Versiontrunk 
Summary0037541: Declaração DB
DescriptionThe FieldValues property is declared differently from the Get function, and generates build errors.
TagsNo tags attached.
Fixed in Revision822
Attached Files

Activities

henrique

2020-08-10 19:58

reporter  

DB.patch (1,088 bytes)   
From 167b9ace5b1bc6c279804e95ce80beca673b7599 Mon Sep 17 00:00:00 2001
From: Henrique Gottardi Werlang <henriquewerlang@hotmail.com>
Date: Mon, 10 Aug 2020 13:40:42 -0300
Subject: [PATCH] const no Fields

---
 packages/fcl-db/db.pas | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/packages/fcl-db/db.pas b/packages/fcl-db/db.pas
index bcb246b..67eab1b 100644
--- a/packages/fcl-db/db.pas
+++ b/packages/fcl-db/db.pas
@@ -1378,7 +1378,7 @@ type
     property RecordSize: Word read GetRecordSize;
     property State: TDataSetState read FState;
     property Fields : TFields read FFieldList;
-    property FieldValues[FieldName : string] : JSValue read GetFieldValues write SetFieldValues; default;
+    property FieldValues[const FieldName : string] : JSValue read GetFieldValues write SetFieldValues; default;
     property Filter: string read FFilterText write SetFilterText;
     property Filtered: Boolean read FFiltered write SetFiltered default False;
     property FilterOptions: TFilterOptions read FFilterOptions write SetFilterOptions;
-- 
2.28.0.windows.1

DB.patch (1,088 bytes)   

Michael Van Canneyt

2020-08-11 13:30

administrator   ~0124755

Applied, thank you !

Issue History

Date Modified Username Field Change
2020-08-10 19:58 henrique New Issue
2020-08-10 19:58 henrique File Added: DB.patch
2020-08-11 07:56 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-08-11 07:56 Michael Van Canneyt Status new => assigned
2020-08-11 13:30 Michael Van Canneyt Status assigned => resolved
2020-08-11 13:30 Michael Van Canneyt Resolution open => fixed
2020-08-11 13:30 Michael Van Canneyt Fixed in Version => trunk
2020-08-11 13:30 Michael Van Canneyt Fixed in Revision => 822
2020-08-11 13:30 Michael Van Canneyt Note Added: 0124755